<?php
/**
 * The Sidebar containing the main widget areas.
 */
?>
		<div id="sidebar" class="widget-area col300" role="complementary">
        	<div id="social-media" class="clearfix">
				<?php $social_options = get_option ( 'infosource_theme_social_options' ); ?>
                <?php
				if ( !isset($social_options['facebook']) ) {
					$social_options['facebook'] = '';
				} else {
                    echo $social_options['facebook'] ? '<a href="' . esc_url( $social_options['facebook'] ) . '" class="infosource-fb" title="' . esc_url( $social_options['facebook'] ) . '">'. __('Facebook', 'infosource') .'</a>' : '';
                } ?> 
                <?php 
				if ( !isset($social_options['twitter']) ) {
					$social_options['twitter'] = '';
				} else {
                    echo $social_options['twitter'] ? '<a href="' . esc_url( $social_options['twitter'] ) . '" class="infosource-tw" title="' . esc_url( $social_options['twitter'] ) . '">'. __('Twitter', 'infosource') .'</a>' : ''; 
                } ?>   
                <?php 
				if ( !isset($social_options['googleplus']) ) {
					$social_options['googleplus'] = '';
				} else {
                    echo $social_options['googleplus'] ? '<a href="' . esc_url( $social_options['googleplus'] ) . '" class="infosource-gp" title="' . esc_url( $social_options['googleplus'] ) . '">'. __('Google+', 'infosource') .'</a>' : ''; 
                } ?>
                <?php 
				if ( !isset($social_options['pinterest']) ) {
					$social_options['pinterest'] = '';
				} else {
                    echo $social_options['pinterest'] ? '<a href="' . esc_url( $social_options['pinterest'] ) . '" class="infosource-pi" title="' . esc_url( $social_options['pinterest'] ) . '">'. __('Pinterest', 'infosource') .'</a>' : ''; 
                } ?>
                <?php 
				if ( !isset($social_options['linkedin']) ) {
					$social_options['linkedin'] = '';
				} else {
                    echo $social_options['linkedin'] ? '<a href="' . esc_url( $social_options['linkedin'] ) . '" class="infosource-li" title="' . esc_url( $social_options['linkedin'] ) . '">'. __('LinkedIn', 'infosource') .'</a>' : ''; 
                } ?>
                <?php 
				if ( !isset($social_options['rss']) ) {
					$social_options['rss'] = '';
				} else {
                    echo $social_options['rss'] ? '<a href="' . esc_url( $social_options['rss'] ) . '" class="infosource-rs" title="' . esc_url( $social_options['rss'] ) . '">'. __('RSS', 'infosource') .'</a>' : ''; 
                } ?>
            </div>

			<?php if ( ! dynamic_sidebar( 'sidebar-1' ) ) : ?>

				<aside id="archives" class="widget">
					<h2 class="widget-title"><?php _e( 'Archives', 'infosource' ); ?></h2>
					<ul>
						<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
					</ul>
				</aside>

				<aside id="meta" class="widget">
					<h2 class="widget-title"><?php _e( 'Meta', 'infosource' ); ?></h2>
					<ul>
						<?php wp_register(); ?>
						<li><?php wp_loginout(); ?></li>
						<?php wp_meta(); ?>
					</ul>
				</aside>

			<?php endif; // end sidebar widget area ?>
		</div><!-- #sidebar .widget-area -->
